/[LeafOK_CVS]/lbbs/configure
ViewVC logotype

Diff of /lbbs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.7 by sysadm, Fri Oct 22 15:20:32 2004 UTC Revision 1.8 by sysadm, Tue Nov 30 07:10:31 2004 UTC
# Line 2836  fi Line 2836  fi
2836    
2837    
2838    
2839  echo "$as_me:$LINENO: checking for library containing strerror" >&5  # Checks for libraries.
2840  echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6  # FIXME: Replace `main' with a function in `-lmysqlclient':
2841  if test "${ac_cv_search_strerror+set}" = set; then  
2842    
2843    echo "$as_me:$LINENO: checking for mysql_connect in -lmysqlclient" >&5
2844    echo $ECHO_N "checking for mysql_connect in -lmysqlclient... $ECHO_C" >&6
2845    if test "${ac_cv_lib_mysqlclient_mysql_connect+set}" = set; then
2846    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
2847  else  else
2848    ac_func_search_save_LIBS=$LIBS    ac_check_lib_save_LIBS=$LIBS
2849  ac_cv_search_strerror=no  LIBS="-lmysqlclient  $LIBS"
2850  cat >conftest.$ac_ext <<_ACEOF  cat >conftest.$ac_ext <<_ACEOF
2851  /* confdefs.h.  */  /* confdefs.h.  */
2852  _ACEOF  _ACEOF
# Line 2856  extern "C" Line 2860  extern "C"
2860  #endif  #endif
2861  /* We use char because int might match the return type of a gcc2  /* We use char because int might match the return type of a gcc2
2862     builtin and then its argument prototype would still apply.  */     builtin and then its argument prototype would still apply.  */
2863  char strerror ();  char mysql_connect ();
2864  int  int
2865  main ()  main ()
2866  {  {
2867  strerror ();  mysql_connect ();
2868    ;    ;
2869    return 0;    return 0;
2870  }  }
# Line 2887  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 2891  if { (eval echo "$as_me:$LINENO: \"$ac_l
2891    ac_status=$?    ac_status=$?
2892    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
2893    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
2894    ac_cv_search_strerror="none required"    ac_cv_lib_mysqlclient_mysql_connect=yes
2895  else  else
2896    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
2897  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
2898    
2899    ac_cv_lib_mysqlclient_mysql_connect=no
2900  fi  fi
2901  rm -f conftest.err conftest.$ac_objext \  rm -f conftest.err conftest.$ac_objext \
2902        conftest$ac_exeext conftest.$ac_ext        conftest$ac_exeext conftest.$ac_ext
2903  if test "$ac_cv_search_strerror" = no; then  LIBS=$ac_check_lib_save_LIBS
2904    for ac_lib in cposix; do  fi
2905      LIBS="-l$ac_lib  $ac_func_search_save_LIBS"  echo "$as_me:$LINENO: result: $ac_cv_lib_mysqlclient_mysql_connect" >&5
2906      cat >conftest.$ac_ext <<_ACEOF  echo "${ECHO_T}$ac_cv_lib_mysqlclient_mysql_connect" >&6
2907    if test $ac_cv_lib_mysqlclient_mysql_connect = yes; then
2908      cat >>confdefs.h <<_ACEOF
2909    #define HAVE_LIBMYSQLCLIENT 1
2910    _ACEOF
2911    
2912      LIBS="-lmysqlclient $LIBS"
2913    
2914    fi
2915    
2916    # FIXME: Replace `main' with a function in `-lz':
2917    
2918    echo "$as_me:$LINENO: checking for unzip in -lz" >&5
2919    echo $ECHO_N "checking for unzip in -lz... $ECHO_C" >&6
2920    if test "${ac_cv_lib_z_unzip+set}" = set; then
2921      echo $ECHO_N "(cached) $ECHO_C" >&6
2922    else
2923      ac_check_lib_save_LIBS=$LIBS
2924    LIBS="-lz  $LIBS"
2925    cat >conftest.$ac_ext <<_ACEOF
2926  /* confdefs.h.  */  /* confdefs.h.  */
2927  _ACEOF  _ACEOF
2928  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
# Line 2911  extern "C" Line 2935  extern "C"
2935  #endif  #endif
2936  /* We use char because int might match the return type of a gcc2  /* We use char because int might match the return type of a gcc2
2937     builtin and then its argument prototype would still apply.  */     builtin and then its argument prototype would still apply.  */
2938  char strerror ();  char unzip ();
2939  int  int
2940  main ()  main ()
2941  {  {
2942  strerror ();  unzip ();
2943    ;    ;
2944    return 0;    return 0;
2945  }  }
# Line 2942  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 2966  if { (eval echo "$as_me:$LINENO: \"$ac_l
2966    ac_status=$?    ac_status=$?
2967    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
2968    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
2969    ac_cv_search_strerror="-l$ac_lib"    ac_cv_lib_z_unzip=yes
 break  
2970  else  else
2971    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
2972  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
2973    
2974    ac_cv_lib_z_unzip=no
2975  fi  fi
2976  rm -f conftest.err conftest.$ac_objext \  rm -f conftest.err conftest.$ac_objext \
2977        conftest$ac_exeext conftest.$ac_ext        conftest$ac_exeext conftest.$ac_ext
2978    done  LIBS=$ac_check_lib_save_LIBS
 fi  
 LIBS=$ac_func_search_save_LIBS  
2979  fi  fi
2980  echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5  echo "$as_me:$LINENO: result: $ac_cv_lib_z_unzip" >&5
2981  echo "${ECHO_T}$ac_cv_search_strerror" >&6  echo "${ECHO_T}$ac_cv_lib_z_unzip" >&6
2982  if test "$ac_cv_search_strerror" != no; then  if test $ac_cv_lib_z_unzip = yes; then
2983    test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"    cat >>confdefs.h <<_ACEOF
2984    #define HAVE_LIBZ 1
2985    _ACEOF
2986    
2987  fi    LIBS="-lz $LIBS"
2988    
2989    fi
2990    
 # Checks for libraries.  
2991    
2992  # Checks for header files.  # Checks for header files.
2993  ac_ext=c  ac_ext=c
# Line 3460  done Line 3484  done
3484    
3485    
3486    
3487    for ac_header in netinet/in.h stdlib.h string.h sys/param.h sys/socket.h unistd.h
   
   
 for ac_header in string.h signal.h netdb.h netinet/in.h sys/param.h sys/socket.h unistd.h regex.h mysql.h  
3488  do  do
3489  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3490  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 3721  _ACEOF Line 3742  _ACEOF
3742    
3743  fi  fi
3744    
3745    echo "$as_me:$LINENO: checking for size_t" >&5
3746    echo $ECHO_N "checking for size_t... $ECHO_C" >&6
3747    if test "${ac_cv_type_size_t+set}" = set; then
3748      echo $ECHO_N "(cached) $ECHO_C" >&6
3749    else
3750      cat >conftest.$ac_ext <<_ACEOF
3751    /* confdefs.h.  */
3752    _ACEOF
3753    cat confdefs.h >>conftest.$ac_ext
3754    cat >>conftest.$ac_ext <<_ACEOF
3755    /* end confdefs.h.  */
3756    $ac_includes_default
3757    int
3758    main ()
3759    {
3760    if ((size_t *) 0)
3761      return 0;
3762    if (sizeof (size_t))
3763      return 0;
3764      ;
3765      return 0;
3766    }
3767    _ACEOF
3768    rm -f conftest.$ac_objext
3769    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3770      (eval $ac_compile) 2>conftest.er1
3771      ac_status=$?
3772      grep -v '^ *+' conftest.er1 >conftest.err
3773      rm -f conftest.er1
3774      cat conftest.err >&5
3775      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3776      (exit $ac_status); } &&
3777             { ac_try='test -z "$ac_c_werror_flag"
3778                             || test ! -s conftest.err'
3779      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3780      (eval $ac_try) 2>&5
3781      ac_status=$?
3782      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3783      (exit $ac_status); }; } &&
3784             { ac_try='test -s conftest.$ac_objext'
3785      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3786      (eval $ac_try) 2>&5
3787      ac_status=$?
3788      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3789      (exit $ac_status); }; }; then
3790      ac_cv_type_size_t=yes
3791    else
3792      echo "$as_me: failed program was:" >&5
3793    sed 's/^/| /' conftest.$ac_ext >&5
3794    
3795    ac_cv_type_size_t=no
3796    fi
3797    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3798    fi
3799    echo "$as_me:$LINENO: result: $ac_cv_type_size_t" >&5
3800    echo "${ECHO_T}$ac_cv_type_size_t" >&6
3801    if test $ac_cv_type_size_t = yes; then
3802      :
3803    else
3804    
3805    cat >>confdefs.h <<_ACEOF
3806    #define size_t unsigned
3807    _ACEOF
3808    
3809    fi
3810    
3811    
3812  # Checks for library functions.  # Checks for library functions.
3813  echo "$as_me:$LINENO: checking for pid_t" >&5  echo "$as_me:$LINENO: checking for pid_t" >&5
# Line 4274  _ACEOF Line 4361  _ACEOF
4361    
4362  fi  fi
4363    
4364  echo "$as_me:$LINENO: checking for ANSI C header files" >&5  
4365  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6  for ac_header in stdlib.h
4366  if test "${ac_cv_header_stdc+set}" = set; then  do
4367    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4368    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4369      echo "$as_me:$LINENO: checking for $ac_header" >&5
4370    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4371    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4372    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
4373    fi
4374    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4375    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4376  else  else
4377    cat >conftest.$ac_ext <<_ACEOF    # Is the header compilable?
4378    echo "$as_me:$LINENO: checking $ac_header usability" >&5
4379    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4380    cat >conftest.$ac_ext <<_ACEOF
4381  /* confdefs.h.  */  /* confdefs.h.  */
4382  _ACEOF  _ACEOF
4383  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
4384  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
4385  /* end confdefs.h.  */  /* end confdefs.h.  */
4386  #include <stdlib.h>  $ac_includes_default
4387  #include <stdarg.h>  #include <$ac_header>
 #include <string.h>  
 #include <float.h>  
   
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
4388  _ACEOF  _ACEOF
4389  rm -f conftest.$ac_objext  rm -f conftest.$ac_objext
4390  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 4320  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 4408  if { (eval echo "$as_me:$LINENO: \"$ac_c
4408    ac_status=$?    ac_status=$?
4409    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4410    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
4411    ac_cv_header_stdc=yes    ac_header_compiler=yes
4412  else  else
4413    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
4414  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
4415    
4416  ac_cv_header_stdc=no  ac_header_compiler=no
4417  fi  fi
4418  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4419    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4420    echo "${ECHO_T}$ac_header_compiler" >&6
4421    
4422  if test $ac_cv_header_stdc = yes; then  # Is the header present?
4423    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.  echo "$as_me:$LINENO: checking $ac_header presence" >&5
4424    cat >conftest.$ac_ext <<_ACEOF  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
4425    cat >conftest.$ac_ext <<_ACEOF
4426  /* confdefs.h.  */  /* confdefs.h.  */
4427  _ACEOF  _ACEOF
4428  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
4429  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
4430  /* end confdefs.h.  */  /* end confdefs.h.  */
4431  #include <string.h>  #include <$ac_header>
   
4432  _ACEOF  _ACEOF
4433  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4434    $EGREP "memchr" >/dev/null 2>&1; then    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4435    :    ac_status=$?
4436      grep -v '^ *+' conftest.er1 >conftest.err
4437      rm -f conftest.er1
4438      cat conftest.err >&5
4439      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4440      (exit $ac_status); } >/dev/null; then
4441      if test -s conftest.err; then
4442        ac_cpp_err=$ac_c_preproc_warn_flag
4443        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4444      else
4445        ac_cpp_err=
4446      fi
4447  else  else
4448    ac_cv_header_stdc=no    ac_cpp_err=yes
4449  fi  fi
4450  rm -f conftest*  if test -z "$ac_cpp_err"; then
4451      ac_header_preproc=yes
4452    else
4453      echo "$as_me: failed program was:" >&5
4454    sed 's/^/| /' conftest.$ac_ext >&5
4455    
4456      ac_header_preproc=no
4457  fi  fi
4458    rm -f conftest.err conftest.$ac_ext
4459    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4460    echo "${ECHO_T}$ac_header_preproc" >&6
4461    
4462  if test $ac_cv_header_stdc = yes; then  # So?  What about this header?
4463    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.  case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4464    cat >conftest.$ac_ext <<_ACEOF    yes:no: )
4465  /* confdefs.h.  */      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
4466  _ACEOF  echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
4467  cat confdefs.h >>conftest.$ac_ext      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
4468  cat >>conftest.$ac_ext <<_ACEOF  echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
4469  /* end confdefs.h.  */      ac_header_preproc=yes
4470  #include <stdlib.h>      ;;
4471      no:yes:* )
4472  _ACEOF      { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
4473  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
4474    $EGREP "free" >/dev/null 2>&1; then      { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
4475    :  echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
4476        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
4477    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
4478        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
4479    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
4480        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
4481    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
4482        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
4483    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
4484        (
4485          cat <<\_ASBOX
4486    ## ------------------------------- ##
4487    ## Report this to the bbsd lists.  ##
4488    ## ------------------------------- ##
4489    _ASBOX
4490        ) |
4491          sed "s/^/$as_me: WARNING:     /" >&2
4492        ;;
4493    esac
4494    echo "$as_me:$LINENO: checking for $ac_header" >&5
4495    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4496    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4497      echo $ECHO_N "(cached) $ECHO_C" >&6
4498  else  else
4499    ac_cv_header_stdc=no    eval "$as_ac_Header=\$ac_header_preproc"
4500  fi  fi
4501  rm -f conftest*  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4502    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4503    
4504    fi
4505    if test `eval echo '${'$as_ac_Header'}'` = yes; then
4506      cat >>confdefs.h <<_ACEOF
4507    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4508    _ACEOF
4509    
4510  fi  fi
4511    
4512  if test $ac_cv_header_stdc = yes; then  done
4513    # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.  
4514    echo "$as_me:$LINENO: checking for GNU libc compatible malloc" >&5
4515    echo $ECHO_N "checking for GNU libc compatible malloc... $ECHO_C" >&6
4516    if test "${ac_cv_func_malloc_0_nonnull+set}" = set; then
4517      echo $ECHO_N "(cached) $ECHO_C" >&6
4518    else
4519    if test "$cross_compiling" = yes; then    if test "$cross_compiling" = yes; then
4520    :    ac_cv_func_malloc_0_nonnull=no
4521  else  else
4522    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
4523  /* confdefs.h.  */  /* confdefs.h.  */
# Line 4382  _ACEOF Line 4525  _ACEOF
4525  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
4526  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
4527  /* end confdefs.h.  */  /* end confdefs.h.  */
4528  #include <ctype.h>  #if STDC_HEADERS || HAVE_STDLIB_H
4529  #if ((' ' & 0x0FF) == 0x020)  # include <stdlib.h>
 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')  
 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))  
4530  #else  #else
4531  # define ISLOWER(c) \  char *malloc ();
                    (('a' <= (c) && (c) <= 'i') \  
                      || ('j' <= (c) && (c) <= 'r') \  
                      || ('s' <= (c) && (c) <= 'z'))  
 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))  
4532  #endif  #endif
4533    
 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))  
4534  int  int
4535  main ()  main ()
4536  {  {
4537    int i;  exit (malloc (0) ? 0 : 1);
4538    for (i = 0; i < 256; i++)    ;
4539      if (XOR (islower (i), ISLOWER (i))    return 0;
         || toupper (i) != TOUPPER (i))  
       exit(2);  
   exit (0);  
4540  }  }
4541  _ACEOF  _ACEOF
4542  rm -f conftest$ac_exeext  rm -f conftest$ac_exeext
# Line 4417  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 4550  if { (eval echo "$as_me:$LINENO: \"$ac_l
4550    ac_status=$?    ac_status=$?
4551    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4552    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
4553    :    ac_cv_func_malloc_0_nonnull=yes
4554  else  else
4555    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
4556  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
4557  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
4558    
4559  ( exit $ac_status )  ( exit $ac_status )
4560  ac_cv_header_stdc=no  ac_cv_func_malloc_0_nonnull=no
4561  fi  fi
4562  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4563  fi  fi
4564  fi  fi
4565  fi  echo "$as_me:$LINENO: result: $ac_cv_func_malloc_0_nonnull" >&5
4566  echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5  echo "${ECHO_T}$ac_cv_func_malloc_0_nonnull" >&6
4567  echo "${ECHO_T}$ac_cv_header_stdc" >&6  if test $ac_cv_func_malloc_0_nonnull = yes; then
 if test $ac_cv_header_stdc = yes; then  
4568    
4569  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
4570  #define STDC_HEADERS 1  #define HAVE_MALLOC 1
4571    _ACEOF
4572    
4573    else
4574      cat >>confdefs.h <<\_ACEOF
4575    #define HAVE_MALLOC 0
4576    _ACEOF
4577    
4578       case $LIBOBJS in
4579        "malloc.$ac_objext"   | \
4580      *" malloc.$ac_objext"   | \
4581        "malloc.$ac_objext "* | \
4582      *" malloc.$ac_objext "* ) ;;
4583      *) LIBOBJS="$LIBOBJS malloc.$ac_objext" ;;
4584    esac
4585    
4586    
4587    cat >>confdefs.h <<\_ACEOF
4588    #define malloc rpl_malloc
4589  _ACEOF  _ACEOF
4590    
4591  fi  fi
4592    
4593    
4594    
4595  echo "$as_me:$LINENO: checking return type of signal handlers" >&5  echo "$as_me:$LINENO: checking return type of signal handlers" >&5
4596  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
4597  if test "${ac_cv_type_signal+set}" = set; then  if test "${ac_cv_type_signal+set}" = set; then
# Line 4686  fi Line 4838  fi
4838  done  done
4839    
4840    
4841    for ac_func in vprintf
4842    do
4843    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
4844    echo "$as_me:$LINENO: checking for $ac_func" >&5
4845    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
4846    if eval "test \"\${$as_ac_var+set}\" = set"; then
4847      echo $ECHO_N "(cached) $ECHO_C" >&6
4848    else
4849      cat >conftest.$ac_ext <<_ACEOF
4850    /* confdefs.h.  */
4851    _ACEOF
4852    cat confdefs.h >>conftest.$ac_ext
4853    cat >>conftest.$ac_ext <<_ACEOF
4854    /* end confdefs.h.  */
4855    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
4856       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
4857    #define $ac_func innocuous_$ac_func
4858    
4859    /* System header to define __stub macros and hopefully few prototypes,
4860        which can conflict with char $ac_func (); below.
4861        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4862        <limits.h> exists even on freestanding compilers.  */
4863    
4864    #ifdef __STDC__
4865    # include <limits.h>
4866    #else
4867    # include <assert.h>
4868    #endif
4869    
4870    #undef $ac_func
4871    
4872    /* Override any gcc2 internal prototype to avoid an error.  */
4873    #ifdef __cplusplus
4874    extern "C"
4875    {
4876    #endif
4877    /* We use char because int might match the return type of a gcc2
4878       builtin and then its argument prototype would still apply.  */
4879    char $ac_func ();
4880    /* The GNU C library defines this for functions which it implements
4881        to always fail with ENOSYS.  Some functions are actually named
4882        something starting with __ and the normal name is an alias.  */
4883    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
4884    choke me
4885    #else
4886    char (*f) () = $ac_func;
4887    #endif
4888    #ifdef __cplusplus
4889    }
4890    #endif
4891    
4892    int
4893    main ()
4894    {
4895    return f != $ac_func;
4896      ;
4897      return 0;
4898    }
4899    _ACEOF
4900    rm -f conftest.$ac_objext conftest$ac_exeext
4901    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4902      (eval $ac_link) 2>conftest.er1
4903      ac_status=$?
4904      grep -v '^ *+' conftest.er1 >conftest.err
4905      rm -f conftest.er1
4906      cat conftest.err >&5
4907      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4908      (exit $ac_status); } &&
4909             { ac_try='test -z "$ac_c_werror_flag"
4910                             || test ! -s conftest.err'
4911      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4912      (eval $ac_try) 2>&5
4913      ac_status=$?
4914      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4915      (exit $ac_status); }; } &&
4916             { ac_try='test -s conftest$ac_exeext'
4917      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4918      (eval $ac_try) 2>&5
4919      ac_status=$?
4920      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4921      (exit $ac_status); }; }; then
4922      eval "$as_ac_var=yes"
4923    else
4924      echo "$as_me: failed program was:" >&5
4925    sed 's/^/| /' conftest.$ac_ext >&5
4926    
4927    eval "$as_ac_var=no"
4928    fi
4929    rm -f conftest.err conftest.$ac_objext \
4930          conftest$ac_exeext conftest.$ac_ext
4931    fi
4932    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
4933    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
4934    if test `eval echo '${'$as_ac_var'}'` = yes; then
4935      cat >>confdefs.h <<_ACEOF
4936    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
4937    _ACEOF
4938    
4939    echo "$as_me:$LINENO: checking for _doprnt" >&5
4940    echo $ECHO_N "checking for _doprnt... $ECHO_C" >&6
4941    if test "${ac_cv_func__doprnt+set}" = set; then
4942      echo $ECHO_N "(cached) $ECHO_C" >&6
4943    else
4944      cat >conftest.$ac_ext <<_ACEOF
4945    /* confdefs.h.  */
4946    _ACEOF
4947    cat confdefs.h >>conftest.$ac_ext
4948    cat >>conftest.$ac_ext <<_ACEOF
4949    /* end confdefs.h.  */
4950    /* Define _doprnt to an innocuous variant, in case <limits.h> declares _doprnt.
4951       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
4952    #define _doprnt innocuous__doprnt
4953    
4954    /* System header to define __stub macros and hopefully few prototypes,
4955        which can conflict with char _doprnt (); below.
4956        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4957        <limits.h> exists even on freestanding compilers.  */
4958    
4959    #ifdef __STDC__
4960    # include <limits.h>
4961    #else
4962    # include <assert.h>
4963    #endif
4964    
4965    #undef _doprnt
4966    
4967    /* Override any gcc2 internal prototype to avoid an error.  */
4968    #ifdef __cplusplus
4969    extern "C"
4970    {
4971    #endif
4972    /* We use char because int might match the return type of a gcc2
4973       builtin and then its argument prototype would still apply.  */
4974    char _doprnt ();
4975    /* The GNU C library defines this for functions which it implements
4976        to always fail with ENOSYS.  Some functions are actually named
4977        something starting with __ and the normal name is an alias.  */
4978    #if defined (__stub__doprnt) || defined (__stub____doprnt)
4979    choke me
4980    #else
4981    char (*f) () = _doprnt;
4982    #endif
4983    #ifdef __cplusplus
4984    }
4985    #endif
4986    
4987    int
4988    main ()
4989    {
4990    return f != _doprnt;
4991      ;
4992      return 0;
4993    }
4994    _ACEOF
4995    rm -f conftest.$ac_objext conftest$ac_exeext
4996    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4997      (eval $ac_link) 2>conftest.er1
4998      ac_status=$?
4999      grep -v '^ *+' conftest.er1 >conftest.err
5000      rm -f conftest.er1
5001      cat conftest.err >&5
5002      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5003      (exit $ac_status); } &&
5004             { ac_try='test -z "$ac_c_werror_flag"
5005                             || test ! -s conftest.err'
5006      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5007      (eval $ac_try) 2>&5
5008      ac_status=$?
5009      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5010      (exit $ac_status); }; } &&
5011             { ac_try='test -s conftest$ac_exeext'
5012      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5013      (eval $ac_try) 2>&5
5014      ac_status=$?
5015      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5016      (exit $ac_status); }; }; then
5017      ac_cv_func__doprnt=yes
5018    else
5019      echo "$as_me: failed program was:" >&5
5020    sed 's/^/| /' conftest.$ac_ext >&5
5021    
5022    ac_cv_func__doprnt=no
5023    fi
5024    rm -f conftest.err conftest.$ac_objext \
5025          conftest$ac_exeext conftest.$ac_ext
5026    fi
5027    echo "$as_me:$LINENO: result: $ac_cv_func__doprnt" >&5
5028    echo "${ECHO_T}$ac_cv_func__doprnt" >&6
5029    if test $ac_cv_func__doprnt = yes; then
5030    
5031    cat >>confdefs.h <<\_ACEOF
5032    #define HAVE_DOPRNT 1
5033    _ACEOF
5034    
5035    fi
5036    
5037    fi
5038    done
5039    
5040    
5041    
5042    
5043    
5044    
5045    
5046    
5047    
5048  for ac_func in inet_ntoa mkdir socket  for ac_func in dup2 inet_ntoa memset mkdir regcomp socket strstr
5049  do  do
5050  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5051  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1